|  | Home | Documentation | soap_mime Struct Reference updated by Robert van Engelen |

soap_mime Struct Reference
MIME attachment functions

Stores a linked list of MIME attachments received. More...

`#include <stdsoap2.h>`

## Public Member Functions

soap_multipart::iterator | begin ()
| C++ only: an iterator over soap_multipart attachments.
soap_multipart::iterator | end ()
| C++ only: an iterator over soap_multipart attachments.

## Public Attributes

struct soap_multipart * | list
| list of MIME attachments received

## Detailed Description

Stores a linked list of MIME attachments received.

This structure's soap_mime::list member points to a linked list of MIME attachments received. Other data in this structure (not shown) is used to manage the state of the engine's MIME processing. The begin and end member functions return an iterator to iterate over attachments in C++.

## Member Function Documentation

## ◆ begin()

soap_multipart::iterator soap_mime::begin | ( |  | ) |

C++ only: an iterator over soap_multipart attachments.

## ◆ end()

soap_multipart::iterator soap_mime::end | ( |  | ) |

C++ only: an iterator over soap_multipart attachments.

## Member Data Documentation

## ◆ list

struct soap_multipart* soap_mime::list

list of MIME attachments received